summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index b42f57b..4e3d499 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -54,6 +54,13 @@ echo " libtoolize: $(libtoolize --version | head -1)"
rm -rf autom4te.cache
set -e
+po/update-potfiles
+autopoint --force $AP_OPTS
+if ! grep -q datarootdir po/Makefile.in.in; then
+ echo autopoint does not honor dataroot variable, patching.
+ sed -i -e 's/^datadir *=\(.*\)/datarootdir = @datarootdir@\
+datadir = @datadir@/g' po/Makefile.in.in
+fi
libtoolize --force ${LT_OPTS}
aclocal -I m4 ${AL_OPTS}
autoconf ${AC_OPTS}